### Method

# Xdp Portal create_input_capture_session

#### Declaration [src]

    void
    xdp_portal_create_input_capture_session (
      XdpPortal* portal,
      XdpParent* parent,
      XdpInputCapability capabilities,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer data
    )

#### Description [src]

Creates a session for input capture

When the request is done, `callback` will be called. You can then call `xdp_portal_create_input_capture_session_finish()` to get the results.

This method completes asynchronously. Use `xdp_portal_create_input_capture_session_finish()` inside the `GAsyncReadyCallback` to obtain the result of the operation.

#### Parameters

`parent`

  Type: `XdpParent`

  Parent window information.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`capabilities`

  Type: `XdpInputCapability`

  Which kinds of capabilities to request.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  A callback to call when the request is done.

  The argument can be `NULL`.

`data`

  Type: `gpointer`

  Data to pass to `callback`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.